:root {
  --border: #3e3f4e;
  --dark-background: #2b2c37;
  --darker-background: #20212d;
  --titles: #fff;
  --btn: #635fc7;
  --btn-hovered: #a8a4ff;
  --text: #828fa3;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
*:focus {
  outline: none;
}
body {
  background-color: var(--dark-background);
  color: var(--titles);
  font-family: Kumbh Sans;
  display: flex;
  flex-direction: column;
  height: 100vh;
}
p {
  color: var(--text);
}
.header {
  display: flex;
  border-bottom: 1px solid var(--border);
  align-items: center;
}
.image-wrapper {
  display: inline-block;
  padding: 3rem 0 2.375rem 2rem;
  border-right: 1px solid var(--border);

  min-width: 18.75rem;
}
.image:hover {
  cursor: pointer;
}
.board-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 0 2rem;
  font-size: 1rem;
  /* margin: auto 0; */
}
.title {
  display: inline-block;
  font-size: 2.3rem;
  font-weight: 400;
}
.btns {
  display: flex;
  gap: 12px;
}
.btn {
  background-color: var(--btn);
  color: white;
  padding: 0.75rem 1rem;
  border-radius: 24px;
  font-size: 20px;
  font-weight: 400;
  cursor: pointer;
  border: none;
  transition: all 0.2s ease;
}
.btn:hover {
  background-color: var(--btn-hovered);
}
.board-menu-and-edit-board {
  position: relative;
}
.edit-board-text {
  cursor: pointer;
}
.board-menu {
  background-color: var(--dark-background);
  border: none;
  cursor: pointer;
  transition: background-color 0.2s ease, color 0.2s ease;
  min-width: 12px;
  margin-left: 20px;
  padding: 0.75rem 10px;
  border-radius: 10px;
}
.board-menu:hover {
  background-color: var(--darker-background);
}
.edit-board {
  background-color: var(--darker-background);
  position: absolute;
  top: 60px;
  right: 0px;
  min-width: 150px;
  font-size: 18px;
  z-index: 100;
  padding: 15px 20px 15px 13px;
  border-radius: 12px;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  gap: 12px;
}
.delete {
  color: #dd5252;
}

circle {
  color: #828fa3;
}

/* SIDEBAR */
.main {
  display: flex;
  height: 100%;
}
.sidebar {
  max-width: 18.75rem;
  min-width: 18.75rem;
  height: 100%;
  padding-top: 1rem;
  padding-bottom: 2rem;
  padding-left: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-right: var(--border) 1px solid;
}
.sidebar-title {
  display: inline-block;
  font-size: 20px;
  font-weight: 400;
  margin-bottom: 1rem;
  padding-left: 2rem;
}
.icon {
  transform: translate(0, 1px);
}
.select-board-wrapper {
  /* display: inline-block; */
  max-width: 255px;
  margin-bottom: 4px;
}
.select-board {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 12px;
  padding-left: 2rem;
  padding-top: 1.3rem;
  padding-bottom: 1.3rem;
  padding-right: 1.5rem;
  border-top-right-radius: 120px;
  border-bottom-right-radius: 120px;
  transition: all 0.5s ease-in-out;
  color: var(--text);
}
.select-board:hover {
  background-color: var(--btn-hovered);
  color: white;
  cursor: pointer;
}
.active-board,
.active-board:hover {
  background-color: var(--btn);
  color: white;
  font-weight: 600;
}
.creation-icon,
.creation-icon:hover {
  color: var(--btn);
  transform: translate(1px, 0);
}
.creation-board-title {
  color: var(--btn);
}
.creation .select-board:hover {
  background-color: var(--dark-background);
  cursor: pointer;
  filter: opacity(50%);
}
.settings {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  color: var(--text);
  transition: all 0.5s ease-in;
}
.settings:hover {
  /* fill-opacity: 0.5; */
  filter: opacity(50%);
  cursor: pointer;
  cursor: pointer;
}
.eye {
  padding-left: 2rem;
  transform: translate(0, 2px);
}

/* BOARD */
.board {
  z-index: 50;
  padding: 1.5rem 2rem;
  width: 100%;
  background-color: var(--darker-background);
  display: flex;
  overflow-x: auto;
  position: relative;
}
/* .delete-overlay, */
.overlay,
.task-overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 0;
  width: 100vh;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
}
.delete-overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 51;
  width: 100vh;
  height: 100vh;
  width: 100%;
  background-color: none;
}
.modal {
  /* margin: 0 auto; */
  position: absolute;
  background-color: var(--dark-background);
  top: 40vh;
  left: 35vw;
  padding: 32px;
  min-width: 26rem;
  z-index: 100;
  border-radius: 10px;
  transform: translate(-50%, -50%);
}

.modal p,
.modal div {
  margin-bottom: 12px;
  color: white;
}
.close-col:hover,
.close-task:hover {
  cursor: pointer;
}
.add-new-col-title {
  margin: 0 !important;
  font-size: 22px;
}
.Marketing-Plan {
  color: var(--text) !important;
  border: solid 1px var(--text);
  padding: 10px 20px;
  border-radius: 8px;
  opacity: 0.6;
  cursor: pointer;
}
.columns-inputs {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.status-select,
.col-input,
.description-textarea,
.add-task-name-input,
.subtasks-add-task-content {
  border: solid 1px var(--text);
  padding: 10px 20px;
  border-radius: 8px;
  max-width: 18rem;
  font-size: 18px;
  background-color: var(--dark-background);
  color: white;
  height: 2.2rem;
  margin-bottom: 6px;
}
.col-input::placeholder {
  color: var(--text);
}
.del-col {
  cursor: pointer;
}
.col-input {
  min-width: 320px;
  margin-bottom: 0;
}
.description-textarea,
.add-task-name-input,
.status-select {
  min-width: 344px;
}
.description-textarea {
  height: 4.4rem;
}
.status-select {
  height: 2.6rem;
}
.subtasks-add-task-content {
  min-width: 300px;
}
.subtasks-add-task {
  max-width: 352px;
}
.add-btns {
  margin-top: 15px;
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.space {
  display: flex;
  align-items: center;

  gap: 12px;
}
.modal-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.create-btn {
  background-color: var(--btn);
  color: white;
  padding: 0.75rem 1rem;
  border-radius: 24px;
  font-size: 20px;
  font-weight: 400;
  cursor: pointer;
  border: none;
  transition: all 0.4s ease;
  margin-top: 6px;
  max-width: 352px;
}
.create-btn:hover {
  background-color: var(--btn-hovered);
  color: white;
}
.white-btn {
  background-color: white;
  color: var(--btn);
}
/* .new-col-name {
} */
/*    Makes the scrollbar disappear
 .board::-webkit-scrollbar {
  display: none;
} */
.columns {
  background-color: var(--darker-background);
  display: flex;
}
.column {
  margin-right: 2rem;
  width: 17.5rem;
  height: 100%;
  transition: all 0.5s ease-in-out;
}
.create-new-column {
  color: var(--text);
  background: linear-gradient(
    to bottom,
    rgba(121, 132, 147, 0.2),
    rgba(130, 143, 163, 0.1),
    rgba(130, 143, 163, 0)
  );
  min-width: 17.5rem;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-out;
}
.create-new-column:hover {
  cursor: pointer;
  color: var(--btn);
}
.ballandtitle {
  display: flex;
  align-items: center;
  gap: 0.8rem;
  margin-bottom: 1.5rem;
}
.title-ball {
  background-color: aquamarine;
  width: 1rem;
  height: 1rem;
  border-radius: 100%;
}
.title-ball3 {
  background-color: aquamarine;
}
.title-ball2 {
  background-color: orange;
}
.title-ball1 {
  background-color: orangered;
}
.title-ball4 {
  background-color: #635fc7;
}
.title-ball5 {
  background-color: rgb(26, 26, 234);
}
.card {
  padding: 1.5rem 1rem;
  background-color: var(--dark-background);
  border-radius: 12px;
  border: 1px solid var(--border);
  margin-bottom: 1.4rem;
  transition: all 0.35s ease-in;
}
.card:hover {
  filter: opacity(50%);
  cursor: grab;
}
.card:active {
  cursor: grabbing;
  filter: opacity(100%);
}
.card-title {
  color: white;
  font-size: 20px;
  margin-bottom: 0.5rem;
}
.card.dragging {
  opacity: 0.5;
}
.hidden {
  display: none;
}
